// Used in signal, ctrl1, scan, time.
// A. Signals coming through interface unit to ports.
///// TO CHANGE PORT ADDRESS: Change 1st 4 below,  AND  3 in sounds.asm.
///// 4 below to  0x24- for Ardmore & Aust.,   0x34- for lab computer.
#define PORTA       0x240   // 8255: A = Input port for external requests.
#define PORTB       0x241   // 8255: B = Ionogram port to read data bytes.
#define PORTC       0x242   // Port C-IN: C0=Y, C2=DRdy, C3=MIN; C7=Scanrequ out.
#define CTRLPORT    0x243   // 8255: Control port.     Write INITBYTE to:
#define INITBYTE    0x93    // Set Ports A, B, Clow to input; Chigh to output.

#define SCANONBYTE  0x0F    // Write to CTRLPORT for C7= SCANON high (ScanReq).
#define SCANOFBYTE  0x0E    //                   for C7= SCANON Low  =  NoReq.
#define YBIT        0x01    // Y bit,  in Port C_LO
#define RDYBIT      0x04    // Rdy bit in Port C_LO
#define MINBIT      0x08    // MIN bit in Port C_LO
#define EXTREQ      0x10    // External Inputs (phonejack) = A4 normally high.

// B. Wait durations for use with waithi() and waitlo().  Far from optimal.
#define FOREVER		0x0000
#define WMAX		537623
#define WLONG		17203
#define WSHORT		135

//////// From sound.h
#define MONSCAN     0x4D    // VIDEO|SCANON|XMRON|TXMIT
///#define SMARGIN     16
///#define MINCOL      64
///#define MAXCOL      512

